
[data-zeus-package="search"] {

    --zp-search-big-text-font-color: rgb(52, 63, 82);
    --zp-search-query-time-font-color: #bebebe;

    --zp-search-main-search-box-width: 70%;
    --zp-search-main-search-box-font-color: #60697b;
    --zp-search-main-search-box-border-color: rgb(8 60 130 / 18%);
    --zp-search-main-search-box-border-color-focussed: #9fbcf0;
    --zp-search-main-search-box-box-shadow-color: rgba(30, 34, 40, 0.04);
    --zp-search-main-search-box-padding-x: 10px;
    --zp-search-main-search-box-padding-y: 10px;

    --zp-search-main-search-button-background-color: var(--bs-primary);
    --zp-search-main-search-button-margin-top: 0px;
    --zp-search-main-search-button-margin-left: 20px;

    --zp-search-filter-box-background-color: #efefef;

    --zp-search-updating-font-color: #575757;
    --zp-search-updating-font-size: 25px;
    --zp-search-updating-border-radius: 7px;
    --zp-search-updating-loader-color: #575757;

    --zp-search-error-background-color: #e56060;
    --zp-search-error-font-color: white;

    --zp-search-load-more-font-color: white;
    --zp-search-load-more-background-color: #CD1718;
    --zp-search-load-more-border-radius: 5px;

    --zp-search-load-more-loading-font-color: #575757;
    --zp-search-load-more-loading-background-color: #efefef;
    --zp-search-load-more-loading-border-radius: 5px;

    --zp-search-disabled-opacity: 0.5;

    --zp-search-filter-option-background-color: #d9d9d966;
    --zp-search-filter-option-font-color: '747474';
    --zp-search-filter-option-border-radius: 5px;
    --zp-search-filter-option-hover-background-color: #d36363;
    --zp-search-filter-option-hover-font-color: white;
    --zp-search-filter-option-hover-delete-background-color: #ffffffc2;
    --zp-search-filter-option-hover-delete-font-color: #d36363;
    --zp-search-filter-option-hover-delete-border-color: #d36363;
    --zp-search-filter-option-hover-delete-text: "Remove";

    --zp-search-product-image-height: 270px;
    --zp-search-product-image-width: 100%;

    .search-big-text {
        font-size: 34px;
        font-weight: bold;
        text-align: center;
        margin-bottom: 40px;
        color: var(--zp-search-big-text-font-color);
    }

    .search-box-container-col {

        .search-box-container {
            text-align: center;
            display: flex;
            justify-content: center;
            align-items: center;

            &.disabled {
                opacity: var(--zp-search-disabled-opacity);
                cursor: not-allowed;
                pointer-events: none;

                * {
                    cursor: not-allowed;
                    pointer-events: none;
                }
            }

            .search-box {
                padding: var(--zp-search-main-search-box-padding-y) var(--zp-search-main-search-box-padding-x);
                font-size: 20px;
                text-align: center;
                width: var(--zp-search-main-search-box-width);
                font-weight: 500;
                line-height: 1.7;
                color: var(--zp-search-main-search-box-font-color);
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
                background-color: var(--bs-body-bg);
                background-clip: padding-box;
                border: 1px solid var(--zp-search-main-search-box-border-color);
                border-radius: 0.4rem;
                box-shadow: 0 0 1.25rem var(--zp-search-main-search-box-box-shadow-color);
                transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

                &:focus {
                    border-color: var(--zp-search-main-search-box-border-color-focussed);
                    outline: 0;
                    box-shadow: 0 0 1.25rem var(--zp-search-main-search-box-box-shadow-color), unset;
                }
            }

            .search-button {
                background-color: var(--zp-search-main-search-button-background-color);
                margin-top: var(--zp-search-main-search-button-margin-top);
                margin-left: var(--zp-search-main-search-button-margin-left);
            }
        }
    }

    .search-box-filters-col {

        .search-filters-box {
            background: var(--zp-search-filter-box-background-color);
            padding: 20px;
            border-radius: var(--bm-br);
            border: 1px solid var(--grey);

            &.disabled {
                opacity: var(--zp-search-disabled-opacity);
                cursor: not-allowed;
                pointer-events: none;

                * {
                    cursor: not-allowed;
                    pointer-events: none;
                }
            }

            .open-block {
                cursor: pointer;

                &.active + .filter-options {
                    max-height: none !important;
                    overflow: visible;
                }
            }

            .filter-options {
                max-height: 0;
                overflow: hidden;
                transition: max-height 0.1s ease-in-out;
            }
        }

        .query-time {
            text-align: center;
            font-size: 13px;
            margin-top: 20px;
            color: var(--zp-search-query-time-font-color);
        }
    }

    [data-role="zp-selected-search-filters-container"] {
        margin-top: 15px;
        font-size: 15px;

        &.disabled {
            opacity: var(--zp-search-disabled-opacity);
            cursor: not-allowed;
            pointer-events: none;

            * {
                cursor: not-allowed;
                pointer-events: none;
            }
        }

        .alert {
            padding-right: 20px;
            margin-bottom: 0;
            padding-bottom: 7px;
            padding-left: 3rem;
        }

        .selected-filters ul {
            list-style: none;
            margin: -24px 0 0 0;
            padding: 0;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            column-count: 2;

            li {
                margin-top: 0px;
                display: flex;
                flex-direction: row;
                flex-wrap: nowrap;
                width: 50%;

                &:first-child,
                &:nth-child(2) {
                    margin-top: 0;
                }

                strong {
                    display: inline-block;
                    white-space: nowrap;
                    padding-top: 25px;
                    margin-right: 20px;
                    flex-shrink: 0;
                }

                [data-role="zp-search-wrapper-for-filter-option"] {
                    margin: 20px 7px -7px 7px;
                    max-width: 260px;
                    display: inline-block;
                    position: relative;

                    .filter-option {
                        background-color: var(--zp-search-filter-option-background-color);
                        color: var(--zp-search-filter-option-font-color);
                        padding: 7px 10px;
                        border-radius: var(--zp-search-filter-option-border-radius);
                        font-size: 13px;
                        max-width: 100%;
                        white-space: nowrap;
                        text-overflow: ellipsis;
                        overflow: hidden;
                        display: inline-block;

                        &:hover {
                            background-color: var(--zp-search-filter-option-hover-background-color);
                            color: var(--zp-search-filter-option-hover-font-color);
                            cursor: zoom-out;
                        }
                    }

                    .filter-option:hover::after {
                        content: var(--zp-search-filter-option-hover-delete-text);
                        position: absolute;
                        background-color: var(--zp-search-filter-option-hover-delete-background-color);
                        padding: 3px;
                        left: -18px;
                        top: -16px;
                        border-radius: var(--zp-search-filter-option-border-radius);
                        color: var(--zp-search-filter-option-hover-delete-font-color);
                        transform: rotate(342deg);
                        border: 1px solid var(--zp-search-filter-option-hover-delete-border-color);
                    }
                }
            }
        }
    }

    .search-results-ajax-error {
        font-size: var(--zp-search-updating-font-size);
        text-align: center;
        background-color: var(--zp-search-error-background-color);
        color: var(--zp-search-error-font-color);
        padding: 40px;
        border-radius: var(--zp-search-updating-border-radius);
    }

    .search-results-reset-loader {
        font-size: var(--zp-search-updating-font-size);
        text-align: center;
        background-color: var(--zp-search-filter-box-background-color);
        color: var(--zp-search-updating-font-color);
        padding: 40px;
        border-radius: var(--zp-search-updating-border-radius);

        .search-results-reset-animation {
            display: inline-block;
            width: 48px;
            height: 48px;
            border-radius: 50%;
            position: relative;
            animation: rotate 1s linear infinite;
            margin-bottom: 20px;
            margin-top: 10px;
        }

        .search-results-reset-animation::before {
            content: "";
            box-sizing: border-box;
            position: absolute;
            inset: 0px;
            border-radius: 50%;
            border: 5px solid var(--zp-search-updating-loader-color);
            animation: prixClipFix 2s linear infinite ;
        }
    }

    .load-more-results-button {
        background-color: var(--zp-search-load-more-background-color);
        margin-top: 40px;
        padding: 10px;
        border-radius: var(--zp-search-load-more-border-radius);
        font-size: 16px;
        cursor: pointer;
        color: var(--zp-search-load-more-font-color);
        text-align: center;
    }

    .load-more-loading-alert {
        background-color: var(--zp-search-load-more-loading-background-color);
        margin-top: 40px;
        padding: 10px;
        border-radius: var(--zp-search-load-more-loading-border-radius);
        font-size: 16px;
        cursor: pointer;
        color: var(--zp-search-load-more-loading-font-color);
        text-align: center;

        .loading-more-animation {
            display: inline-block;
            width: 12px;
            height: 12px;
            border-radius: 50%;
            position: relative;
            animation: rotate 1s linear infinite;
            margin-right: 8px;
        }

        .loading-more-animation::before {
            content: "";
            box-sizing: border-box;
            position: absolute;
            inset: 0px;
            border-radius: 50%;
            border: 1px solid var(--zp-search-updating-loader-color);
            animation: prixClipFix 2s linear infinite ;
        }
    }

    .no-more-results-alert {
        text-align: center;
        margin-top: 50px;
        font-size: 20px;
    }

    .search-results {

        .search-result {

            &.search-result-product {

                .image-figure {
                    overflow: hidden;
                }

                .search-product-image{
                    height: var(--zp-search-product-image-height) !important;
                    width: var(--zp-search-product-image-width);
                    object-fit: contain;
                    text-align: center;
                }
            }
        }
    }
}

[data-zeus-package="quick-search"] {

    [data-role="zp-qs-header-search-term-box-wrapper"],
    &[data-role="zp-qs-header-search-term-box-wrapper"] {
        position: relative;

        [data-role="zp-qs-results-popout"] {

            --zp-quick-search-main-padding-amount: 25px;
            --zp-quick-search-top-bottom-bar-padding-amount: 12px;
            --zp-quick-search-image-column-width: 70px;
            --zp-quick-search-background-padding: -10px;
            --zp-quick-search-highlight-background-color: #ffff00a6;
            --zp-quick-search-text-color: rgb(52, 63, 82);
            --zp-quick-search-view-all-background-color: #CD1718;
            --zp-quick-search-view-all-font-color: white;
            --zp-quick-search-global-border-radius: 0.4rem;
            --zp-quick-search-loader-color: #575757;

            z-index: 9999999;
            width: 100%;
            margin-top: 46px;
            border-radius: var(--zp-quick-search-global-border-radius);
            position: absolute;
            top: 0;
            left: 0;
            background-color: white;
            box-shadow: 1px -1px 31px -3px rgba(0,0,0,0.44);
            -webkit-box-shadow: 1px -1px 31px -3px rgba(0,0,0,0.44);
            -moz-box-shadow: 1px -1px 31px -3px rgba(0,0,0,0.44);
            padding: var(--zp-quick-search-main-padding-amount);
            display: none;

            [data-role="zp-qs-no-results-container"] {
                font-size: 16px;
                text-align: center;
                display: none;
            }

            [data-role="zp-qs-enter-search-term"] {
                font-size: 16px;
                text-align: center;
                display: none;
            }

            [data-role="zp-qs-doing-search"] {
                font-size: 16px;
                text-align: center;
                display: none;

                .searching-animation {
                    display: inline-block;
                    width: 12px;
                    height: 12px;
                    border-radius: 50%;
                    position: relative;
                    animation: rotate 1s linear infinite;
                    margin-right: 8px;
                }

                .searching-animation::before {
                    content: "";
                    box-sizing: border-box;
                    position: absolute;
                    inset: 0px;
                    border-radius: 50%;
                    border: 1px solid var(--zp-quick-search-loader-color);
                    animation: prixClipFix 2s linear infinite ;
                }

                [data-role="zp-qs-searching-for"] {
                    padding-top: 8px;
                    font-style: italic;
                }
            }

            a {
                display: block;
                transition: initial;
                color: initial;
                position: relative;
                margin-top: var(--zp-quick-search-main-padding-amount);

                &:first-child {
                    margin-top: 0;
                }

                .zp-sp-search-result-block {
                    display: flex;

                    &:hover:before {
                        z-index: 99999991;
                        background-color: #f0f0f0;
                        content: ' ';
                        display: block;
                        position: absolute;
                        left: var(--zp-quick-search-background-padding);
                        right: var(--zp-quick-search-background-padding);
                        top: var(--zp-quick-search-background-padding);
                        bottom: var(--zp-quick-search-background-padding);
                        border-radius: var(--zp-quick-search-global-border-radius);
                    }

                    .zp-sp-search-result-image {
                        z-index: 99999995;
                        flex-shrink: 0;
                        width: var(--zp-quick-search-image-column-width);

                        figure img {
                            width: 100%;
                            height: var(--zp-quick-search-image-column-width) !important;
                            object-fit: contain;
                        }
                    }

                    .zp-sp-search-result-content {
                        z-index: 99999995;
                        flex-shrink: 0;
                        width: calc(100% - (var(--zp-quick-search-image-column-width) + var(--zp-quick-search-main-padding-amount)));
                        margin-left: var(--zp-quick-search-main-padding-amount);
                        align-content: center;

                        .zp-sp-result-title {
                            color: var(--zp-quick-search-text-color);
                            font-weight: 600;
                            font-size: 14px;

                            .zp-sp-highlight {
                                background-color: var(--zp-quick-search-highlight-background-color);
                                padding: 5px 2px;
                                margin: -5px -2px;
                            }
                        }

                        .zp-sp-result-meta {
                            margin-top: 6px;
                            color: var(--zp-quick-search-text-color);
                            font-weight: 500;
                            font-size: 14px;
                        }
                    }
                }
            }

            [data-role="zp-qs-view-all-results-button"] {
                cursor: pointer;
                background-color: var(--zp-quick-search-view-all-background-color);
                color: var(--zp-quick-search-view-all-font-color);
                font-size: 14px;
                text-align: center;
                padding: var(--zp-quick-search-top-bottom-bar-padding-amount);
                margin-bottom: calc(var(--zp-quick-search-main-padding-amount) * -1);
                margin-left: calc(var(--zp-quick-search-main-padding-amount) * -1);
                margin-right: calc(var(--zp-quick-search-main-padding-amount) * -1);
                margin-top: var(--zp-quick-search-main-padding-amount);
                border-bottom-left-radius: var(--zp-quick-search-global-border-radius);
                border-bottom-right-radius: var(--zp-quick-search-global-border-radius);
                display: none;
            }
        }

        &.zp-sp-has-quick-results {

            [data-role="quick-search-term-box"] {
                box-shadow: 1px -1px 31px -3px rgba(0, 0, 0, 0.44) !important;
                -webkit-box-shadow: 1px -1px 31px -3px rgba(0, 0, 0, 0.44) !important;
                -moz-box-shadow: 1px -1px 31px -3px rgba(0, 0, 0, 0.44) !important;
            }

            [data-role="zp-qs-results-popout"] {
                display: block;
            }
        }
    }
}

@keyframes rotate {
    100%   {transform: rotate(360deg)}
}

@keyframes prixClipFix {
    0%   {clip-path:polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)}
    25%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)}
    50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
    75%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 100%)}
    100% {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 0)}
}
